from django.shortcuts import render
from django.http import HttpResponse
from InvertedIndexSimulator.inverted import main
# Create your views here.
# def index(request):
#     return HttpResponse("Hello, world. You're at the polls index.")

def home(request):
    return render(request, 'apps/home.html')

def dataframe(request):
    import pandas as pd 
    import xml.etree.ElementTree as et 

    parse_data = et.parse("InvertedIndexSimulator/data/dataset_STBI.xml")
    data = parse_data.getroot() 
    content = main.data_view(data)
    
    return render(request, 'apps/dataframe.html', content)

def preprocessing(request):
    return render(request, 'apps/preprocessing.html')

def indexing(request):
    return render(request, 'apps/indexing.html')
    
def index(request):
    return render(request, 'apps/index.html')


def lyric(request,id):
    
    text, judul = main.detail(id)
    content={
        'no': id,
        'judul':judul,
        'text':text
    }
    return render(request, 'apps/lyric.html', content)

def result(request):
    #%%
    # proximity_index = collections.OrderedDict(sorted(proximity_index.items()))
    # for key, value in proximity_index.items():
    #     # print (key, value)
    
    if request.method == 'POST':
        query = request.POST['querysearch']
        hasil= main.main(query)

        content={
            'hasil':hasil,
            'query':query
        }
        return render(request, 'apps/result.html', content)
